> ## Documentation Index
> Fetch the complete documentation index at: https://thenile.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve password token

> Responds to a link (probably in an email) by setting a cookie that allows for a password to be reset



## OpenAPI

````yaml https://us-west-2.api.thenile.dev/v2/openapi get /v2/databases/{database}/auth/reset-password
openapi: 3.0.0
info:
  title: Nile auth API
  version: '0.1'
servers: []
security: []
tags: []
paths:
  /v2/databases/{database}/auth/reset-password:
    get:
      tags:
        - auth
      summary: Retrieve password token
      description: >-
        Responds to a link (probably in an email) by setting a cookie that
        allows for a password to be reset
      operationId: validatePasswordToken
      parameters:
        - name: database
          in: path
          required: true
          schema:
            type: string
        - name: token
          in: query
          required: true
          schema:
            type: string
        - name: identifier
          in: query
          required: true
          schema:
            type: string
        - name: callbackUrl
          in: query
          required: true
          schema:
            type: string
        - name: redirect
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Token has been sent to the client via cookie, if possible
        '400':
          description: API/Database failures
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Unauthorized
          content: {}
        '404':
          description: Unable to find the verification token
          content:
            text/plain:
              schema:
                type: string

````